DynamicJava Javadoc: Class ObjectFieldModifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter.modifier
Class ObjectFieldModifier

    java.lang.Object
      |
      +--koala.dynamicjava.interpreter.modifier.LeftHandSideModifier
            |
            +--koala.dynamicjava.interpreter.modifier.ObjectFieldModifier

public class ObjectFieldModifier
extends LeftHandSideModifier

This interface represents the objets that modify an object field

Field Summary
`protected java.lang.reflect.Field` | `field` The field
`protected java.lang.Object` | `fieldObject` The field
`protected java.util.List` | `fields` The list used to manage recursive calls
`protected ObjectFieldAccess` | `node` The node

Constructor Summary
`ObjectFieldModifier(java.lang.reflect.Field f, ObjectFieldAccess n)` Creates a new field modifier

Method Summary
`void` | `modify(Context ctx, java.lang.Object value)` Sets the value of the underlying left hand side expression
`java.lang.Object` | `prepare(Visitor v, Context ctx)` Prepares the modifier for modification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### field

    protected java.lang.reflect.Field field

  The field

### node

    protected ObjectFieldAccess node

  The node

### fieldObject

    protected java.lang.Object fieldObject

  The field

### fields

    protected java.util.List fields

  The list used to manage recursive calls

Constructor Detail

### ObjectFieldModifier

    public ObjectFieldModifier(java.lang.reflect.Field f,
                               ObjectFieldAccess n)

  Creates a new field modifier
  Parameters:
    `f` - the field to modify
    `n` - the field access node

Method Detail

### prepare

    public java.lang.Object prepare(Visitor v,
                                    Context ctx)

  Prepares the modifier for modification
  Overrides:
    `prepare` in class `LeftHandSideModifier`
  Following copied from class: `koala.dynamicjava.interpreter.modifier.LeftHandSideModifier`
  Returns:
    the value of the left hand side

### modify

    public void modify(Context ctx,
                       java.lang.Object value)

  Sets the value of the underlying left hand side expression
  Overrides:
    `modify` in class `LeftHandSideModifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.